Package ghidra.program.util

# Enum Class FunctionChangeRecord.FunctionChangeType

java.lang.Object
java.lang.Enum<FunctionChangeRecord.FunctionChangeType>
ghidra.program.util.FunctionChangeRecord.FunctionChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<FunctionChangeRecord.FunctionChangeType>`, `Constable`

Enclosing class:
  `FunctionChangeRecord`

public static enum FunctionChangeRecord.FunctionChangeType extends Enum<FunctionChangeRecord.FunctionChangeType>
Specific function changes types for when the ProgramEvent is FUNCTION_CHANGED

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CALL_FIXUP_CHANGED`
  `INLINE_CHANGED`
  `NO_RETURN_CHANGED`
  `PARAMETERS_CHANGED`
  `PURGE_CHANGED`
  `RETURN_TYPE_CHANGED`
  `THUNK_CHANGED`
  `UNSPECIFIED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FunctionChangeRecord.FunctionChangeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FunctionChangeRecord.FunctionChangeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PURGE_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType PURGE_CHANGED

  - ### INLINE_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType INLINE_CHANGED

  - ### NO_RETURN_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType NO_RETURN_CHANGED

  - ### CALL_FIXUP_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType CALL_FIXUP_CHANGED

  - ### RETURN_TYPE_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType RETURN_TYPE_CHANGED

  - ### PARAMETERS_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType PARAMETERS_CHANGED

  - ### THUNK_CHANGED

    public static final FunctionChangeRecord.FunctionChangeType THUNK_CHANGED

  - ### UNSPECIFIED

    public static final FunctionChangeRecord.FunctionChangeType UNSPECIFIED

- ## Method Details

  - ### values

    public static FunctionChangeRecord.FunctionChangeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FunctionChangeRecord.FunctionChangeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null